Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Invalid_IV_Length Class Referencefinal

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_IV_Length:

## Public Member Functions
virtual int | error_code () const noexcept
ErrorType | error_type () const noexceptoverride
| Invalid_IV_Length (const std::string &mode, size_t bad_len)
const char * | what () const noexceptoverride

## Detailed Description

An invalid nonce length was used

Definition at line 161 of file exceptn.h.

## Constructor & Destructor Documentation

Botan::Invalid_IV_Length::Invalid_IV_Length | ( | const std::string & | mode,
|  | size_t | bad_len
| ) |  |

Definition at line 111 of file exceptn.cpp.

111 :
112 Invalid_Argument("IV length " + std::to_string(bad_len) +
113 " is invalid for " + mode)
114 {}
Botan::Invalid_Argument::Invalid_Argument
Invalid_Argument(const std::string &msg)
Definition: exceptn.cpp:84
Botan::to_string
std::string to_string(ErrorType type)
Convert an ErrorType to string.
Definition: exceptn.cpp:11

## Member Function Documentation

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::PKCS11::PKCS11_ReturnError, Botan::System_Error, Botan::Compression_Error, Botan::OpenSSL_Error, Botan::CommonCrypto_Error, Botan::SQL_Database::SQL_DB_Error, Botan::TLS::TLS_Exception, and Botan_FFI::FFI_Error.

Definition at line 112 of file exceptn.h.

112 { return 0; }

ErrorType Botan::Invalid_IV_Length::error_type | ( |  | ) | const
| inline override virtual noexcept

Return the "type" of error which occurred.

Reimplemented from Botan::Invalid_Argument.

Definition at line 165 of file exceptn.h.

References Botan::InvalidNonceLength.

165 { return ErrorType::InvalidNonceLength; }
Botan::ErrorType::InvalidNonceLength

const char* Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

References m_msg.

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), and Botan_FFI::ffi_guard_thunk().

96 { return m_msg.c_str(); }

The documentation for this class was generated from the following files:

- src/lib/utils/exceptn.h
- src/lib/utils/exceptn.cpp